/* jump
Cookie(":INIT",{header:'string' , day:'...'})で初期値設定（最初に呼び出す）
Cookie(key, "string") で特定
Cookie(">>",key, "string") でadd
Cookie(key) でget


*/

var use_local_storage = false;


var Cookie = function() {
    var header = '';
    var day = -1;
    var dir = '/';
    var maxchar = 800;
    var locals = false; // localStorage が使える
    try {
        if (('localStorage' in window) && (window.localStorage !== null)) {
            locals = true;
            use_local_storage = true;
        }
    } catch (err) {
        1;
    }
    var wrt = function(kword, escaped_kdata, kday) {
        if (day < 0) {
            return;
        }
        if (locals) {
            localStorage.setItem(kword, escaped_kdata);
            return;
        }
        var sday = new Date();
        sday.setTime(sday.getTime() + (kday * 1000 * 60 * 60 * 24));
        var s2day = sday.toGMTString();
        document.cookie = kword + "=" + (escaped_kdata) + ";path=" + dir + "; expires=" + s2day;
    };
    var red = function(kword) {
        var kdata;
        if (locals) {
            kdata = localStorage.getItem(kword);
            if (kdata !== null) return kdata;
        }
        kword = kword + "=";
        kdata = "";
        var scookie = document.cookie + ";"; // クッキー情報を読み込む
        var start = scookie.indexOf(kword); // キーワードを検索
        if (start != -1) { // キーワードと一致するものあり
            var end = scookie.indexOf(";", start); // 情報の末尾位置を検索
            kdata = (scookie.substring(start + kword.length, end)); // データ取り出し
        }
        return kdata;
    };

    return function(key, data) {
        X = data;
        switch (key) {
            case ':INIT':
                header = data.header;
                day = data.day;
                dir = get(data, 'dir', '/');
                break;
            default:
                if (data === undefined) {
                    return unescape(red(header + key));
                } else if (key.indexOf('>>') == 0) {
                    key = key.slice(2);
                    wrt(header + key, red(header + key) + escape(data), day);
                } else {
                    wrt(header + key, escape(data), day);
                }
        }
        return Cookie;

    };
}();


function LocalS(key, data) {
    if (use_local_storage) {
        if(!key)return true;
        var r = Cookie(key, data);
        if (data === undefined) return r||'';
        return true;
    } else {
        return false;
    }

}
